List approval requests for a flag
curl --request GET \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey}/flags/{featureFlagKey}/environments/{environmentKey}/approval-requests \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/projects/{projectKey}/flags/{featureFlagKey}/environments/{environmentKey}/approval-requests"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/projects/{projectKey}/flags/{featureFlagKey}/environments/{environmentKey}/approval-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"_id": "12ab3c45de678910abc12345",
"_version": 1,
"creationDate": "1654104600000",
"serviceKind": "launchdarkly",
"reviewStatus": "pending",
"allReviews": [
{
"_id": "12ab3c45de678910abc12345",
"kind": "approve",
"creationDate": "1653606981113",
"comment": "Approved!",
"memberId": "12ab3c45de678910abc12345",
"serviceTokenId": "12ab3c45de678910abc12345"
}
],
"notifyMemberIds": [
"1234a56b7c89d012345e678f"
],
"status": "pending",
"instructions": "[{\"kind\": \"turnFlagOn\"}]",
"conflicts": [
{
"instruction": {},
"reason": "<string>"
}
],
"_links": {},
"requestorId": "12ab3c45de678910abc12345",
"description": "example: request approval from someone",
"notifyTeamKeys": [
"example-reviewer-team"
],
"appliedDate": "1654104600000",
"appliedByMemberId": "1234a56b7c89d012345e678f",
"appliedByServiceTokenId": "1234a56b7c89d012345e678f",
"executionDate": "1654104600000",
"operatingOnId": "12ab3c45de678910abc12345",
"integrationMetadata": {
"externalId": "<string>",
"externalStatus": {
"display": "<string>",
"value": "<string>"
},
"externalUrl": "<string>",
"lastChecked": 123
},
"source": {
"key": "source-flag-key-123abc",
"version": 1
},
"customWorkflowMetadata": {
"name": "Example workflow name",
"stage": {
"index": 0,
"name": "Stage 1"
}
}
}
],
"_links": {}
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}List approval requests for a flag
Get all approval requests for a feature flag.
GET
/
api
/
v2
/
projects
/
{projectKey}
/
flags
/
{featureFlagKey}
/
environments
/
{environmentKey}
/
approval-requests
List approval requests for a flag
Authorizations
Path Parameters
The project key
The feature flag key
The environment key